<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Halaman Tambah User</title>
  </head>
  <body>
    <form method="post" action="/api/users">
      <input type="text" name="email" placeholder="email" />
      <input type="text" name="username" placeholder="username" />
      <input type="text" name="password" placeholder="password" />
      <button type="submit">Simpan</button>
      <button type="reset">Reset</button>
    </form>

    <hr />
    <h1>Table User</h1>
    <table border="1">
      <tr>
        <th>User Id</th>
        <th>Email</th>
        <th>Username</th>
        <th colspan="3">#</th>
      </tr>
      <% users.forEach((data) => { %>
      <tr>
        <td><%= data.id %></td>
        <td><%= data.email %></td>
        <td><%= data.username%></td>
        <td>
          <a href="<%= /user/+data.id %>">Detail</a>
        </td>

        <td>
          <a href="<%= /user-update/+data.id %>">update</a>
        </td>

        <td>
          <a href="<%= '/api/users/delete/'+ data.id %>">Delete</a>
        </td>
      </tr>
      <%})%>
    </table>
  </body>
</html>
